//			Timing set to 75.5 Hz by zalas 2002-08-21

			nTime=timeGetTime()-nNormalLast;					  // calcule le temps écoulé depuis le dernier affichage
																  // nTime est en mili-secondes.
			// détermine le nombre de trames à passer + 1
			nCount=(nTime*755 - nNormalFrac) /10000; 	

			// si le nombre de trames à passer + 1 est nul ou négatif,
			// ne rien faire pendant 2 ms
			if (nCount<=0) 
			{ 
				//Sleep(2); 
			} // No need to do anything for a bit
			else
			{
				nNormalFrac+=nCount*10000;				// 
				nNormalLast+=nNormalFrac/755;				// add the duration of nNormalFrac frames
				nNormalFrac%=755;							// 

				// Pas plus de 9 (10-1) trames non affichées 
				if (nCount>10) 
				  nCount=10; 

/*
				ws_key_start=0;
				ws_key_left=0;
				ws_key_right=0;
				ws_key_up=0;
				ws_key_down=0;
				ws_key_button_1=0;
				ws_key_button_2=0;
*/
				xbox_check_events() ;

				//#include "./source/temp/key.h"
				if (ws_key_esc)
				{
						break;
